MWAWPictBitmap.cxx File Reference
`#include <sstream>`
`#include <string>`
`#include <libwpd/libwpd.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWPictBitmap.hxx"`

## Functions

template<class T >
bool | getPBMData (MWAWPictBitmapContainer< T > const &orig, WPXBinaryData &data, T white)
| Internal: helper function to create a PBM. More...
template<class T >
bool | getPPMData (MWAWPictBitmapContainer< T > const &orig, WPXBinaryData &data, std::vector< MWAWColor > const &indexedColor)
| Internal: helper function to create a PPM. More...
bool | getPPMData (MWAWPictBitmapContainer< MWAWColor > const &orig, WPXBinaryData &data)
| Internal: helper function to create a PPM for a color bitmap. More...

## Function Documentation

template<class T >

bool getPBMData | ( | MWAWPictBitmapContainer< T > const & | orig,
|  | WPXBinaryData & | data,
|  | T | white
| ) |  |

Internal: helper function to create a PBM.

template<class T >

bool getPPMData | ( | MWAWPictBitmapContainer< T > const & | orig,
|  | WPXBinaryData & | data,
|  | std::vector< MWAWColor > const & | indexedColor
| ) |  |

Internal: helper function to create a PPM.

Referenced by MWAWPictBitmapColor::createFileData().

bool getPPMData | ( | MWAWPictBitmapContainer< MWAWColor > const & | orig,
|  | WPXBinaryData & | data
| ) |  |

Internal: helper function to create a PPM for a color bitmap.